import {
	inject,
	observer
} from 'mobx-react';
import {
	WeaLocaleProvider
} from 'ecCom';
const getLabel = WeaLocaleProvider.getLabel;

@inject('hrmVacationBalanceReportCopy')
@observer
class DialogBalance extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmVacationBalanceReportCopy
		} = this.props, {
			vacationName,
			dialogTimeline
		} = hrmVacationBalanceReportCopy, {
			topTips
		} = dialogTimeline;

		return (
			<div style={{float: 'left',padding: 10}}>{
				`${getLabel('505718',"当前")}${getLabel('503883','有效期内')}  ${vacationName} ${getLabel('503884','累计余额')}: ${topTips} `
			}</div>
		);
	}
}

export default DialogBalance;